boost::geometry::strategy::transform::scale_transformer< CalculationType, 3, 3 > Class Template Reference
Inheritance diagram for boost::geometry::strategy::transform::scale_transformer< CalculationType, 3, 3 >:

List of all members.

## Public Member Functions

| scale_transformer (CalculationType const &scale_x, CalculationType const &scale_y, CalculationType const &scale_z)
| scale_transformer (CalculationType const &scale)

### template<typename CalculationType>
class boost::geometry::strategy::transform::scale_transformer< CalculationType, 3, 3 >

## Constructor & Destructor Documentation

template<typename CalculationType >

boost::geometry::strategy::transform::scale_transformer< CalculationType, 3, 3 >::scale_transformer | ( | CalculationType const & | scale_x,
|  | CalculationType const & | scale_y,
|  | CalculationType const & | scale_z
| ) |  |

template<typename CalculationType >

boost::geometry::strategy::transform::scale_transformer< CalculationType, 3, 3 >::scale_transformer | ( | CalculationType const & | scale | ) |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK